- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionFrameV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 134 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionFrameV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 2 }
enum | FrameFeature { None = 0x00, Flat = 0x01 }
## Public Member Functions
| QStyleOptionFrameV2 ()
| QStyleOptionFrameV2 (const QStyleOptionFrameV2 &other)
| QStyleOptionFrameV2 (const QStyleOptionFrame &other)
QStyleOptionFrameV2 & | operator= (const QStyleOptionFrame &other)
## Public Attributes
FrameFeatures | features
## Protected Member Functions
| QStyleOptionFrameV2 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionFrame.

Reimplemented in QStyleOptionFrameV3.

Definition at line 137 of file qstyleoption.h.

    { Version = 2 };

enum FrameFeature

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Flat | Search for all occurrences

Definition at line 138 of file qstyleoption.h.

                          {
            None = 0x00,
            Flat = 0x01
        };

## Constructor & Destructor Documentation

QStyleOptionFrameV2 | ( |  | ) |

QStyleOptionFrameV2 | ( | const QStyleOptionFrameV2 & | other | ) | `[inline]`

Definition at line 146 of file qstyleoption.h.

    : QStyleOptionFrame(Version) { *this = other; }

QStyleOptionFrameV2 | ( | const QStyleOptionFrame & | other | ) |

QStyleOptionFrameV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionFrameV2& operator= | ( | const QStyleOptionFrame & | other | ) |

Reimplemented in QStyleOptionFrameV3.

## Member Data Documentation

FrameFeatures features

Search for all occurrences

Definition at line 143 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2
QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2 QStyleOptionFrameV2